<div class="wrapper wrapper-content animated fadeInRight">
    <div class="ibox float-e-margins">
        <div class="ibox-title">
            <div class="row">
                <div class="row">

                    <div class="col-xs-12" style="margin-bottom: 15px;">
                        <div class="col-xs-12 ">
                            <label>Post Code:</label>
                            <ui-select multiple
                                       ng-model="vm.filters.postcode"
                                       theme="bootstrap"
                                       ng-pattern="/\d{4}/"
                                       on-remove="vm.read()"
                                       on-select="vm.read()">
                                <ui-select-match placeholder=" Select post codes...">{{$item}}</ui-select-match>
                                <ui-select-choices repeat="code in vm.codes | filter:$select.search"
                                                   refresh="vm.refreshCodes($select.search)">
                                    <div ng-bind-html="code | highlight: $select.search"></div>
                                </ui-select-choices>
                            </ui-select>
                        </div>
                    </div>

                    <div class="col-xs-12 col-md-6  clearfix" >
                        <div class="col-xs-6">
                            <label>Entities per page:</label>
                            <ui-select ng-model="vm.meta.limit"
                                       theme="bootstrap"
                                       on-select="vm.read({page: 1})">
                                <ui-select-match>{{$select.selected}}</ui-select-match>
                                <ui-select-choices repeat="limit in vm.limits">
                                    {{::limit}}
                                </ui-select-choices>
                            </ui-select>
                        </div>
                        <div class="col-xs-6">
                            <label class="col-xs-12">Statistics options:</label>
                            <select class="form-control"
                                    ng-model="vm.filters.options"
                                    ng-change="vm.changeOptions()"
                                    ng-options="column.option as column.label for column in vm.columns">
                            </select>

                        </div>
                    </div>

                    <div class="col-xs-12 col-md-6 clearfix">
                        <div class="col-xs-6">
                            <label class="col-xs-12">From:</label>

                            <p class="input-group">
                                <input type="text"
                                       class="form-control"
                                       name="from"
                                       readonly="true"
                                       uib-datepicker-popup="{{vm.configModals.format}}"
                                       ng-model="vm.filters.from"
                                       ng-change="setDateRange(vm.filters.from); vm.read()"
                                       is-open="vm.configModals.opened[1]"
                                       datepicker-options="vm.configModals.fromOptions"
                                       ng-required="true"
                                       alt-input-formats="vm.configModals.altInputFormats"
                                       required/>
                        <span class="input-group-btn">
                            <button type="button"
                                    class="btn btn-default"
                                    ng-click="vm.configModals.open(1)">
                                <i class="glyphicon glyphicon-calendar"></i>
                            </button>
                        </span>
                            </p>
                        </div>
                        <div class="col-xs-6">
                            <label class="col-xs-12">To:</label>

                            <p class="input-group">
                                <input type="text"
                                       class="form-control"
                                       name="to"
                                       readonly="true"
                                       uib-datepicker-popup="{{vm.configModals.format}}"
                                       ng-model="vm.filters.to"
                                       ng-change="vm.read()"
                                       is-open="vm.configModals.opened[2]"
                                       datepicker-options="vm.configModals.toOptions"
                                       ng-required="true"
                                       alt-input-formats="vm.configModals.altInputFormats"
                                       required/>
                    <span class="input-group-btn">
                        <button type="button"
                                class="btn btn-default"
                                ng-click="vm.configModals.open(2)">
                            <i class="glyphicon glyphicon-calendar"></i>
                        </button>
                    </span>
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="ibox-content">
            <!--ITEMS LIST-->
            <div id="grid1" ui-grid="vm.gridOptions" ui-grid-auto-resize ng-style="{'height': height + 'px'}"
                 class="grid height-transition"></div>
            <!--/ITEMS LIST-->

            <button class="btn btn-sm btn-primary"
                    style="margin-top: 10px;"
                    ng-click="vm.exportToExcel()"
                    ng-if="ready">
                <i class="fa fa-save"></i>
                Export
            </button>
        </div>
        <div class="col-sm-12 text-center ">
            <uib-pagination ng-if="vm.meta.totalCount > vm.meta.limit" total-items="vm.meta.totalCount"
                            items-per-page="vm.meta.limit" ng-model="vm.meta.page"
                            max-size="10" ng-change="vm.read()"></uib-pagination>
        </div>
        <div class="clearfix"></div>
    </div>


</div>
